<?php

namespace App\Services\Paga;

use App\Models\MetodoPagamento;
use App\Models\Pagamento;
use Illuminate\Support\Facades\Http;
use Illuminate\Support\Facades\Log;

class Staff
{
    public function __construct(){

    }

    public function paga($pagamento){
        //Pagamento registrato
        // $pagamento->stato = Pagamento::REGISTRATO;
        $pagamento->stato = Pagamento::PAGATO; //lascio pagato per non bloccare stampe scontrini
        $pagamento->save();
        return [
            'result' => true,
            'message' => 'Pagamento con contanti registrato.',
        ];
    }
}